Subject: RE: [Megaco] auditing signal descriptor

From: "Kevin Boyle" <[email-masked]>
Date: Mon, 4 Apr 2005 14:22:36 -0400

AuditValue is the command you would use to audit the current value of the
Signals (or any other) descriptor.  This is described in H.248.1, Section 7.

Kevin

-----Original Message-----
From: Renuka Devi Harendra Babu [mailto:[email-masked]]
Sent: Mon 4/4/2005 7:43 AM
To: Boyle, Kevin [NCRTP:3Z40:EXCH]; Jim Li; [email-masked]
Subject: Re: [Megaco] auditing signal descriptor
 
Thank you Kevin and Jim for your points. 
Kevin/Jim is there any command by which I can audit the SD? If so,
please reply me.

Renu

On Apr 2, 2005 11:04 PM, Kevin Boyle <[email-masked]> wrote:
> 
> 
> I don't see where this assumption is valid.  Signals could stop on their
> own, or be terminated by detection of an event amongst other
possibilities. 
> Auditing the Signals descriptor will return the current state of the
> descriptor, which will indicate only those signals that are still active
on
> the termination.  Therefore, yes, auditing the signals descriptor will
> indicate if certain signals have halted.
> 
> Note that signals can certainly be applied to terminations in the Null
> context.  Therefore, the fact that a termination is in Null is not an
> indication of presence or lack of signals on that termination.
> 
> Kevin 
> 
> 
> -----Original Message----- 
> From: [email-masked] [mailto:[email-masked]] On Behalf
Of
> Jim Li 
> Sent: Friday, April 01, 2005 8:38 AM 
> To: Renuka Devi Harendra Babu 
> Cc: [email-masked] 
> Subject: Re: [Megaco] auditing signal descriptor 
> 
> Renu, 
> 
> Assume that "...after it got terminated" means the call has been torn down
> and the TID has been subtracted from the context already. The TID should
be
> in null context by now. It doesn't make sense in this case to check the
> signal state because there is none.
> 
> Jim 
> 
> Renuka Devi Harendra Babu wrote: 
> 
> >Hi folks, 
> > 
> >I would like to know as how I could audit signal descriptor to check a 
> >signal state, that is, whether it is active or not after it got 
> >terminated. 
> > 
> >regards 
> >Renu 
> > 
> >_______________________________________________ 
> >Megaco mailing list 
> >[email-masked] 
> >https://www1.ietf.org/mailman/listinfo/megaco 
> >  
> > 
> 
> 
> 
> _______________________________________________ 
> Megaco mailing list 
> [email-masked] 
> https://www1.ietf.org/mailman/listinfo/megaco

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco